/*  -------------------------------------------------------------

    Rossum's Playhouse  --  a client/server based robot simulator
    Rossum's Playhouse is also known under the name "RP1".
    Copyright (C) 1999  G.W. Lucas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------- */


package rp1demo.clientzero;
import  rp1.rossum.event.RsTargetSensorEvent;
import  rp1.rossum.event.RsTargetSensorEventHandler;



public class ClnTargetSensorEventHandler implements RsTargetSensorEventHandler {

   private ClnMain   client;

   // constructors ------------------------------------------
   public ClnTargetSensorEventHandler(ClnMain client){
      this.client   = client;
   }


   // methods related to interface --------------------------
   public void process(RsTargetSensorEvent event){
      String message = "Received target sensor event, status: "+(event.status?"HOT":"COLD");
      if(event.status)
          message = message+",  target name: "+event.getNameOfObjectDetected();
      client.verbose(message);

      if(!event.status){
         // the status went cold, do nothing.
         return;
      }

      if(!client.autoPilot){
         return;
      }else{
         if(client.searchIndex==ClnMain.SEARCH_FOR_TARGET){
            client.searchIndex=ClnMain.WAIT_TO_APPROACH;
            client.stopMotion();
            client.searchRelatedTimeoutIndex=client.sendTimeoutRequest(0.1); // .1 seconds
            client.xTarget = event.x + event.xDetection*event.ux - event.yDetection*event.uy;
            client.yTarget = event.y + event.xDetection*event.uy + event.yDetection*event.ux;
         }
      }
   }
}
