/*  -------------------------------------------------------------

    Rossum's Playhouse  --  a client/server based robot simulator
    Rossum's Playhouse is also known under the name "RP1".
    Copyright (C) 1999  G.W. Lucas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------- */


package rp1.rossum.event;

/*

The ContactSensorEvent is generated when the status of the sensor changes.
This may include going from a hot-to-cold (detection to no-detection) or
visa versa.

*/



/**
 * An event generated by the simulator when a contact sensor undergoes
 *a change in state.
 *
 */

public class RsContactSensorEvent extends RsSensorEvent{


   /**
	 * 
	 */
	private static final long serialVersionUID = 4530826771791174938L;
public final boolean status;     // false for no detection, true for no detection

   // TO DO: deprecate this constructor.

   public RsContactSensorEvent(
      double   simTime,
      int      sensorID,
      boolean  status){

      super(EVT_CONTACT_SENSOR, simTime, sensorID);
      this.status  = status;
   }

   public RsContactSensorEvent(
        double   simTime,
        int      sensorID,
        boolean  status,
        String   nameOfObjectDetected){

        super(EVT_CONTACT_SENSOR, simTime, sensorID);

        this.status               = status;
        this.nameOfObjectDetected = nameOfObjectDetected;
     }

}

