/*  -------------------------------------------------------------

    Rossum's Playhouse  --  a client/server based robot simulator
    Rossum's Playhouse is also known under the name "RP1".
    Copyright (C) 1999  G.W. Lucas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------- */


package rp1.rossum.event;



/**
 * An event generated by the simulator on request by the
 * application for communicating the floor-plan data.  Note
 * that the plan is defined as belonging to class java.lang.Object
 * rather than RsPlan. This sub-optimal design is intended to
 * avoid circular dependancies between rp1.rossum.event and 
 * rp1.rossum.   We need to think of a better way to handle this issue.
 *
 */

public class RsPlanEvent extends RsEvent {

   /**
	 * 
	 */
	private static final long serialVersionUID = -2823806235059780657L;

public RsPlanEvent(double simTime, Object plan){
         super(EVT_PLAN, simTime);
         this.plan = plan;
   }

   public final Object plan;
}

