/*  -------------------------------------------------------------

    Rossum's Playhouse  --  a client/server based robot simulator
    Rossum's Playhouse is also known under the name "RP1".
    Copyright (C) 1999  G.W. Lucas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------- */


/*

  This position event handler handles the position event which
  we requested when we got a mouse click.    If a position
  event comes in when we haven't received a mouse click,
  it is ignored (or passed on to any other mouse-click handlers
  that might be registered).
*/


package rp1demo.clientzero;
import  rp1.rossum.event.RsTargetSelectionEventHandler;
import  rp1.rossum.event.RsTargetSelectionEvent;

public class ClnTargetSelectionEventHandler implements RsTargetSelectionEventHandler {

   private ClnMain client;

   // constructors -------------------------------------------
   public ClnTargetSelectionEventHandler(ClnMain client){
      this.client = client;
   }

   // methods related to interface ---------------------------
   public void process(RsTargetSelectionEvent event){
      if(!event.status)
         return;  // we don't care about targets turning off
      client.targetName = event.targetName;
   }
}
