/*  -------------------------------------------------------------

    Rossum's Playhouse  --  a client/server based robot simulator
    Rossum's Playhouse is also known under the name "RP1".
    Copyright (C) 1999  G.W. Lucas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------- */


package rp1demo.clientzero;
import  rp1.rossum.*;
import  rp1.rossum.event.RsTimeoutEventHandler;
import  rp1.rossum.event.RsTimeoutEvent;
import java.awt.Color;

public class ClnTimeoutEventHandler implements RsTimeoutEventHandler {

   private ClnMain client;

   // constructors ----------------------------------------------
   public ClnTimeoutEventHandler(ClnMain client){
      this.client = client;
   }


   // methods related to interface ------------------------------
   public void process(RsTimeoutEvent event){
      if(!client.autoPilot){
         return;
      }else{
         if(event.timeoutIndex!=client.searchRelatedTimeoutIndex)
            return;
         if(client.searchIndex==ClnMain.WAIT_TO_APPROACH){
            client.searchIndex=ClnMain.COMPUTE_APPROACH;
            client.sendPositionRequest();
         }else if(client.searchIndex==ClnMain.EXTINGUISH_TARGET){
            client.log("Target Extinguished");
            client.searchIndex=ClnMain.COMPUTE_TRIP_HOME;
            client.sendAllTargetsSelectionRequest(false);
            client.sendPositionRequest();
            RsBodyPainter painter = (RsBodyPainter)(client.body.getPartByName("painter"));
            if(painter!=null && painter.getPainterActivationStatus()){
                painter.setPaintColor(Color.orange);
                client.sendPainterActivationRequest(painter);
            }
         }else if(client.searchIndex==ClnMain.WAIT_FOR_RESTART){
            client.log("Starting new excursion");
            client.sendPlacementRequest();
         }
      }
   }
}
