/*  -------------------------------------------------------------

    Rossum's Playhouse  --  a client/server based robot simulator
    Rossum's Playhouse is also known under the name "RP1".
    Copyright (C) 1999  G.W. Lucas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

----------------------------------------------------------------- */


package rp1demo.linetracker;
import  rp1.rossum.event.*;


public class LtHeartbeatEventHandler implements RsHeartbeatEventHandler {

   public LtHeartbeatEventHandler(LtMain _client){
      client   = _client;
   }

   public void process(RsHeartbeatEvent event){

      if(client.leftHot && client.rightHot){
          client.time1 = System.currentTimeMillis();
          client.rsClient.log("Excursion completed in "
               +(client.time1-client.time0)/1000.0+" seconds");
          client.rsClient.sendHaltRequest();
          client.rsClient.sendHeartbeatCancellationRequest();
          return;
      }

      if(!client.leftHot && !client.rightHot && client.leftRegion==client.rightRegion){
         // the robot strayed off the track.  either both
         // sensors are inside the track (region 2) or
         // both are outside
         client.rsClient.log("Excursion failed...  robot strayed off track");
         client.rsClient.sendHeartbeatCancellationRequest();
         client.rsClient.sendHaltRequest();
         return;
      }


      client.computeAndSetMotion();
   }

   private LtMain   client;
}

