
package rp1demo.test;

import java.io.*;
import rp1.rossum.*;
import rp1demo.clientzero.*;



//
// note that by extending RsClient, this class inherits
// a complete implementation of the RsRunnable interface.
// it uses three of the RsClient methods  -- setInputOutputStreams,
// setLogger, and initialize -- directly, and uses the run method
// by overriding it, but then invoking it as super.run() within
// its own run method.
//


public class TestMain extends RsClient
{


   // implement a main to allow this class to serve as an Application -----
   public static void main(String args[]) throws IOException
   {
      TestMain c = new TestMain();
      c.initialize();   // throws IOException if unable to reach server
      c.run();
   }


   public TestMain(){
         super();
   }


   @Override
public void run(){

      body = ClientZero.build(rsProperties);  // rsProperties comes from RsClient
      sendBodySpecification(body);

      addPlacementEventHandler( new TestPlacementEventHandler( this));
      addTimeoutEventHandler  ( new TestTimeoutEventHandler(this));
      sendTimeoutRequest(0);

      super.run();
   }

   public RsBody            body;

}

